print("Register filltype: ccm and ccmraw");
--set Texture Files for CCM
	local ccmhudFile = Utils.getFilename("hud/hud_fruit_ccm.png", g_currentModDirectory);
	local diffuseMapccm = Utils.getFilename("tipmat/ccm/ccm_diffuse.png", g_currentModDirectory);
	local normalMapccm = Utils.getFilename("tipmat/ccm/ccm_normal.png", g_currentModDirectory);
	local distanceccm = Utils.getFilename("tipmat/ccm/ccm_diffusedist.png", g_currentModDirectory);

--set Texture Files for CCMRAW
	local ccmrawhudFile = Utils.getFilename("hud/hud_fruit_ccmraw.png", g_currentModDirectory);
	local diffuseMapccmraw = Utils.getFilename("tipmat/ccmraw/ccm_diffuse.png", g_currentModDirectory);
	local normalMapccmraw = Utils.getFilename("tipmat/ccmraw/ccm_normal.png", g_currentModDirectory);
	local distanceccmraw = Utils.getFilename("tipmat/ccmraw/ccm_diffusedist.png", g_currentModDirectory);

	pricemais=FillUtil.fillTypeNameToDesc["maize"].pricePerLiter*1.05;
	
	--Register CCM
	FillUtil.registerFillType("ccm", g_i18n:getText("ccm"),FillUtil.FILLTYPE_CATEGORY_BULK, pricemais*1.05, true, ccmhudFile,ccmhudFile, 0.00045);
	--Register Untipall
	TipUtil.registerDensityMapHeightType(FillUtil.FILLTYPE_CCM,math.rad(30),1.0,0.08,0.00,0.08,1,false,diffuseMapccm,normalMapccm,distanceccm)

	
	--Register CCMRAW
	FillUtil.registerFillType("ccmraw", g_i18n:getText("ccmraw"),FillUtil.FILLTYPE_CATEGORY_BULK, pricemais, false, ccmrawhudFile,ccmrawhudFile, 0.0004);
	--Register Untipall
	TipUtil.registerDensityMapHeightType(FillUtil.FILLTYPE_CCMRAW,math.rad(30),1.0,0.08,0.00,0.08,1,true,diffuseMapccmraw,normalMapccmraw,distanceccmraw)
	
	--add Filltype to Fruit Categorys
	FillUtil.addFillTypeToCategory(FillUtil.FILLTYPE_CATEGORY_TRAINWAGON, FillUtil.FILLTYPE_CCM)
	
	
	
	--Set Filltype as Main Food for Pigs additonal to maize
	FillUtil.registerFillTypeInFoodGroup(3, 1, FillUtil.FILLTYPE_CCM)

	
CCMMaterialHolder = {};
addModEventListener(CCMMaterialHolder);

local modDir = g_currentModDirectory;
function CCMMaterialHolder:loadMap(name)	

	loadI3DFile(modDir .. "materialHolder/fillPlane_materialHolder.i3d");
	loadI3DFile(modDir .. "materialHolder/particle_materialHolder.i3d");	
	print("MaterialHolder for ccm loading successful!")

	--Add CCM to the same Sale Points that accept maize
	for k,object in pairs(g_currentMission.tipTriggers) do
		namest=object.stationName
		sellpoint=object.isSellingPoint 

		for i,filltype in pairs(object.acceptedFillTypes) do
			fillname=FillUtil.fillTypeIntToName[i]
		
			if fillname == "maize" then
				local allowedToolTypes = {TipTrigger.TOOL_TYPE_TRAILER,TipTrigger.TOOL_TYPE_SHOVEL, TipTrigger.TOOL_TYPE_PIPE, TipTrigger.TOOL_TYPE_PALLET}
				local filltypen = FillUtil.FILLTYPE_CCM;
				local priceScale = 1; 
				local price = FillUtil.fillTypeIndexToDesc[filltypen].pricePerLiter * priceScale;
				object:addAcceptedFillType(filltypen,price,true,false,allowedToolTypes)
				object:initPricingDynamics()
			
			end;
		end;
		
	end;

	
end;
function CCMMaterialHolder:deleteMap()
end

function CCMMaterialHolder:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CCMMaterialHolder:keyEvent(unicode, sym, modifier, isDown)
end;

function CCMMaterialHolder:update(dt)
end

function CCMMaterialHolder:draw()   
end;
